Home
last modified time | relevance | path

Searched full:container (Results 1 – 25 of 124) sorted by relevance

12345

/Zephyr-latest/soc/nxp/imxrt/imxrt118x/
DKconfig38 hex "Image container"
41 Image container is a boot image format that is used by ROM. Container
42 format consists container header, image arrary entry, signature block
43 and user program images and data. The boot ROM expects container data
46 # Note- This config present the offest between container header and user
50 hex "The offset between container header and user image"
53 The offset between container and user image. IF change the user image
/Zephyr-latest/doc/_extensions/zephyr/kconfig/static/
Dkconfig.css8 #__kconfig-search .input-container {
17 #__kconfig-search .input-container input {
27 #__kconfig-search .input-container input:focus,
28 #__kconfig-search .input-container input:active {
32 #__kconfig-search .input-container button {
55 #__kconfig-search .results-per-page-container {
Dkconfig.mjs205 const container = document.createElement('dl');
206 container.className = 'kconfig';
211 container.appendChild(title);
230 container.append(details);
274 return container;
359 /* populate kconfig-search container */
360 const container = document.getElementById('__kconfig-search');
361 if (!container) {
362 console.error("Couldn't find Kconfig search container");
368 inputContainer.className = 'input-container'
[all …]
/Zephyr-latest/.github/workflows/
Derrno.yml12 container:
16 - name: Apply container owner mismatch workaround
19 # match the container user UID because of the way GitHub
Dtwister_tests_blackbox.yml26 container:
30 - name: Apply Container Owner Mismatch Workaround
33 # match the container user UID because of the way GitHub
/Zephyr-latest/include/zephyr/sys/
Dslist.h112 * @brief Provide the primitive to resolve the container of a list node
115 * @param __ln A pointer on a sys_node_t to get its container
116 * @param __cn Container struct type pointer
117 * @param __n The field name of sys_node_t within the container struct
123 * @brief Provide the primitive to peek container of the list head
126 * @param __cn Container struct type pointer
127 * @param __n The field name of sys_node_t within the container struct
133 * @brief Provide the primitive to peek container of the list tail
136 * @param __cn Container struct type pointer
137 * @param __n The field name of sys_node_t within the container struct
[all …]
Dsflist.h117 * @brief Provide the primitive to resolve the container of a list node
120 * @param __ln A pointer on a sys_sfnode_t to get its container
121 * @param __cn Container struct type pointer
122 * @param __n The field name of sys_sfnode_t within the container struct
128 * @brief Provide the primitive to peek container of the list head
131 * @param __cn Container struct type pointer
132 * @param __n The field name of sys_sfnode_t within the container struct
138 * @brief Provide the primitive to peek container of the list tail
141 * @param __cn Container struct type pointer
142 * @param __n The field name of sys_sfnode_t within the container struct
[all …]
Ddlist.h125 * @brief Provide the primitive to resolve the container of a list node
128 * @param __dn A pointer on a sys_dnode_t to get its container
129 * @param __cn Container struct type pointer
130 * @param __n The field name of sys_dnode_t within the container struct
135 * @brief Provide the primitive to peek container of the list head
138 * @param __cn Container struct type pointer
139 * @param __n The field name of sys_dnode_t within the container struct
145 * @brief Provide the primitive to peek the next container
148 * @param __cn Container struct type pointer
149 * @param __n The field name of sys_dnode_t within the container struct
[all …]
/Zephyr-latest/doc/_extensions/zephyr/domain/static/js/
Dcodesample-livesearch.js8 const container = input.closest(".code-sample-listing");
109 // Start processing from the container
110 processSection(container);
112 // Ensure the input and its container are always visible
114 container.style.display = "";
/Zephyr-latest/scripts/net/
Drun-sample-tests.sh112 echo -n "Started Docker container '$name'"
119 echo "Could not start Docker container '$image'"
131 echo "Stopped Docker container '$name'..."
133 echo "Could not stop Docker container '$name'" >&2
219 echo "Running '$test' in the container..."
220 docker container exec net-tools $test || return $?
288 This script runs Zephyr sample tests using Docker container and
296 only start Docker container and network and exit
298 only stop Docker container and network
300 keep Docker container and network after test
DREADME.txt2 the network test applications Docker container provided by the 'net-tools'
10 'net-tools' Docker container has been created, see the first bullet point
48 The Docker container and a corresponding 'net-tools0' Docker network is started
65 container, is returned to the script on Zephyr or Docker application
/Zephyr-latest/soc/nxp/imxrt/
DCMakeLists.txt64 INPUT ".boot_hdr.container"
82 zephyr_linker_sources_ifdef(CONFIG_SOC_SERIES_IMXRT118X SECTIONS container.ld)
/Zephyr-latest/dts/bindings/test/
Dvnd,string.yaml4 description: Test string property container
Dvnd,string-unquoted.yaml4 description: Test string unquoted property container
Dvnd,string-array.yaml4 description: Test string array property container
Dvnd,string-array-token.yaml4 description: Test string array token property container
Dvnd,string-array-unquoted.yaml4 description: Test string array unquoted property container
Dvnd,string-token.yaml4 description: Test string token property container
Dvnd,enum-holder-inst.yaml4 description: Test enum property container (instance based)
Dvnd,enum-holder.yaml4 description: Test enum property container
Dvnd,enum-required-false-holder.yaml4 description: Test enum property container
Dvnd,reg-holder-64.yaml4 description: Test 64-bit register property container
Dvnd,enum-int-required-false-holder.yaml4 description: Test enum property container
Dvnd,enum-required-false-holder-inst.yaml4 description: Test enum property container (instance based)
/Zephyr-latest/subsys/net/lib/ptp/
Dtlv.c52 struct ptp_tlv_container *container; in tlv_mgmt_post_recv() local
73 container = CONTAINER_OF((void *)mgmt_tlv, struct ptp_tlv_container, tlv); in tlv_mgmt_post_recv()
75 clock_desc = &container->clock_desc; in tlv_mgmt_post_recv()
185 container = CONTAINER_OF((void *)mgmt_tlv, struct ptp_tlv_container, tlv); in tlv_mgmt_post_recv()
190 container->clock_desc.user_desc = (struct ptp_text *)mgmt_tlv->data; in tlv_mgmt_post_recv()
266 struct ptp_tlv_container *container; in tlv_mgmt_pre_send() local
273 container = CONTAINER_OF((void *)mgmt_tlv, struct ptp_tlv_container, tlv); in tlv_mgmt_pre_send()
274 clock_desc = &container->clock_desc; in tlv_mgmt_pre_send()

12345